Update a Portfolio File

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.visible.vc/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Visible API MCP server": {
  "url": "https://docs.visible.vc/mcp"
}
Close
PUT /portfolio_files/{id}

Update portfolio file metadata.

Path parameters

  • id string(uuid) Required

    ID of the portfolio file

application/json

Body Required

  • name string

    Updated name for the portfolio file

  • portfolio_folder_id string | null

    Optional portfolio folder ID

  • file_tag_ids array[string(uuid)]

    Optional file tag IDs to associate to the file

    Default value is [] (empty).

Responses

  • 200 application/json

    Portfolio file successfully updated

    Hide response attribute Show response attribute object
    • portfolio_file object
      Hide portfolio_file attributes Show portfolio_file attributes object
      • id string(uuid) Required

        Unique identifier for the portfolio file

      • name string Required

        Name of the portfolio file

      • size integer Required

        Size of the portfolio file in bytes

      • content_type string Required

        MIME type of the portfolio file

      • created_at string(date-time) Required

        When the portfolio file was created

      • portfolio_company_profile_id string(uuid) Required

        ID of the associated portfolio company profile

      • portfolio_folder_id string | null Required

        ID of the associated portfolio folder

      • file_tag_ids array[string(uuid)] Required

        IDs of the associated file tags

      • download_url string(uri)

        Temporary download URL for the portfolio file

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 422 application/json

    Unprocessable Entity - The request is valid but contains semantic errors

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

PUT /portfolio_files/{id}
curl \
 --request PUT 'https://api.visible.vc/portfolio_files/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Updated Board Deck.pdf","portfolio_folder_id":"56a1bed4-9ac4-4bd1-8533-077f3ae465c3","file_tag_ids":["b9bd9bb5-9b12-48bb-ae93-cdd2eba9af98"]}'
Request example
{
  "name": "Updated Board Deck.pdf",
  "portfolio_folder_id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
  "file_tag_ids": [
    "b9bd9bb5-9b12-48bb-ae93-cdd2eba9af98"
  ]
}
Response examples (200)
{
  "portfolio_file": {
    "id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
    "name": "Updated Board Deck.pdf",
    "size": 1024,
    "content_type": "application/pdf",
    "created_at": "2025-01-01T00:00:00.000Z",
    "portfolio_company_profile_id": "cad09a10-73e8-4205-ae67-4e6156f37be8",
    "portfolio_folder_id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
    "file_tag_ids": [
      "b9bd9bb5-9b12-48bb-ae93-cdd2eba9af98"
    ]
  }
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "type": "attribute_invalid",
      "field": "value",
      "message": "required"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}